# Uses of Interface
org.eclipse.jdt.core.ICorrectionRequestor

Packages that use ICorrectionRequestor
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of ICorrectionRequestor in org.eclipse.jdt.core

Fields in org.eclipse.jdt.core declared as ICorrectionRequestor
Modifier and Type
Field
Description
`protected ICorrectionRequestor`
CorrectionEngine.`correctionRequestor`
This field is not intended to be used by client.
Methods in org.eclipse.jdt.core with parameters of type ICorrectionRequestor
Modifier and Type
Method
Description
`void`
CorrectionEngine.`computeCorrections(IMarker marker, ICompilationUnit targetUnit, int positionOffset, ICorrectionRequestor requestor)`
Performs code correction for the given marker, reporting results to the given correction requestor.
`void`
CorrectionEngine.`computeCorrections(IProblem problem, ICompilationUnit targetUnit, ICorrectionRequestor requestor)`
Performs code correction for the given IProblem, reporting results to the given correction requestor.